Skip to main content
DELETE
python

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-notte-request-origin
string | null
x-notte-sdk-version
string | null

Path Parameters

session_id
string
required

Response

Successful Response

session_id
string
required

The ID of the session (created or existing). Use this ID to interact with the session for the next operation.

idle_timeout_minutes
integer
required

Session idle timeout in minutes. Will timeout if now() > last access time + idle_timeout_minutes

created_at
string<date-time>
required

Session creation time

last_accessed_at
string<date-time>
required

Last access time

status
enum<string>
required

Session status

Available options:
active,
closed,
error,
timed_out
timeout_minutes
integer
required
deprecated
read-only
max_duration_minutes
integer
default:15

Session max duration in minutes. Will timeout if now() > creation time + max_duration_minutes

closed_at
string<date-time> | null

Session closing time

duration
string<duration>

Session duration

steps
Steps · object[]

Steps of the session

error
string | null

Error message if the operation failed to complete

proxies
boolean
default:false

Whether proxies were used for the session. True if any proxy was applied during session creation.

browser_type
enum<string>
default:chromium
Available options:
chromium,
chrome,
firefox,
chrome-nightly,
chrome-turbo
use_file_storage
boolean
default:false

Whether FileStorage was attached to the session.

network_request_bytes
integer
default:0

Total byte usage for network requests.

network_response_bytes
integer
default:0

Total byte usage for network responses.

user_agent
string | null

The user agent to use for the session

viewport_width
integer | null

The width of the viewport

viewport_height
integer | null

The height of the viewport

headless
boolean
default:true

Whether to run the session in headless mode.

solve_captchas
boolean | null

Whether to solve captchas.

cdp_url
string | null

The URL to connect to the CDP server.

viewer_url
string | null

The remote session viewer URL.

web_bot_auth
boolean
default:false

Whether to use web bot authentication.